function buscarTipodoci(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formTipodoci.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busTipodoci/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblTipodoci");
      jsonJS.tipodoci.forEach(function(i){
        addRowTipodoci(i.td_cod, i.td_nom);
      });

      $("#tblTipodoci tbody tr").dblclick(function() {
        selectTipodoci(a, $(this));
      });

      $("#tblTipodoci tbody #btnSelecTipodoci").click(function() {
        selectTipodoci(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowTipodoci(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecTipodoci'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblTipodoci tbody").append(markup);
}

function selectTipodoci(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblTipodoci");
}